### Property

# Adw BottomSheet:can-open

since: 1.6

#### Declaration

    property can-open: gboolean [ read, write ]

#### Description [src]

Whether the bottom sheet can be opened by user.

It can be opened via clicking or swiping up from the bottom bar.

Does nothing if `AdwBottomSheet:bottom-bar` is not set.

Bottom sheet can still be opened using `AdwBottomSheet:open`.

Type:`gboolean`

Available since: 1.6

Default value | TRUE
Getter method | `adw_bottom_sheet_get_can_open()`
Setter method | `adw_bottom_sheet_set_can_open()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no